{
  "name": "evening_detective_client",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite --host",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "lint": "eslint . --fix",
    "lint:css": "stylelint \"src/**/*.{css,scss,vue}\" --fix",
    "format": "prettier --write src/",
    "proto:gen": "protoc --typescript-http_out=src/api/generated --proto_path=proto proto/main.proto"
  },
  "dependencies": {
    "axios": "^1.18.1",
    "pinia": "^3.0.4",
    "vue": "^3.5.39",
    "vue-router": "^5.1.0"
  },
  "devDependencies": {
    "@tsconfig/node22": "^22.0.5",
    "@types/node": "^26.1.1",
    "@vicons/antd": "^0.13.0",
    "@vicons/carbon": "^0.13.0",
    "@vicons/fa": "^0.13.0",
    "@vicons/fluent": "^0.13.0",
    "@vicons/ionicons4": "^0.13.0",
    "@vicons/ionicons5": "^0.13.0",
    "@vicons/material": "^0.13.0",
    "@vicons/tabler": "^0.13.0",
    "@vicons/utils": "^0.1.4",
    "@vitejs/plugin-vue": "^6.0.7",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.9.0",
    "@vue/tsconfig": "^0.9.1",
    "eslint": "^10.6.0",
    "eslint-plugin-simple-import-sort": "^14.0.0",
    "eslint-plugin-unused-imports": "^4.4.1",
    "eslint-plugin-vue": "~10.9.2",
    "jiti": "^2.7.0",
    "naive-ui": "^2.44.1",
    "npm-run-all2": "^9.0.2",
    "postcss-html": "^1.8.1",
    "prettier": "3.9.4",
    "stylelint": "^17.14.1",
    "stylelint-config-standard-scss": "^17.0.0",
    "ts-proto": "^2.12.0",
    "typescript": "~6.0.3",
    "vfonts": "^0.0.3",
    "vite": "^8.1.3",
    "vite-plugin-vue-devtools": "^8.1.5",
    "vue-tsc": "^3.3.6"
  }
}
